.\"	$NetBSD: netgroup_mkdb.8,v 1.8 2007/05/20 14:02:10 seb Exp $
.\"
.\" Copyright (c) 1994 Christos Zoulas
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd May 20, 2007
.Dt NETGROUP_MKDB 8
.Os
.Sh NAME
.Nm netgroup_mkdb
.Nd generate the netgroup database
.Sh SYNOPSIS
.Nm
.Op Fl o Ar database
.Op file
.Sh DESCRIPTION
.Nm
creates a
.Xr db 3
database for the specified file.
If no file is specified, then
.Pa /etc/netgroup
is used.
This database is installed into
.Pa /var/db/netgroup.db .
The file must be in the correct format (see
.Xr netgroup 5 ) .
.Pp
The options are as follows:
.Bl -tag -width indent
.It Fl o Ar database
Put the output databases in the named file.
.El
.Pp
The databases are used by the C library netgroup routines (see
.Xr getnetgrent 3 ) .
.Pp
.Nm
exits zero on success, non-zero on failure.
.Sh FILES
.Bl -tag -width 24n -compact
.It Pa /var/db/netgroup.db
The current netgroup database
.It Pa /var/db/netgroup.db.tmp
A temporary file
.It Pa /etc/netgroup
The current netgroup file
.El
.Sh SEE ALSO
.Xr db 3 ,
.Xr getnetgrent 3 ,
.Xr netgroup 5
.Sh BUGS
Because
.Nm
guarantees not to install a partial destination file it must
build a temporary file in the same file system and if successful use
.Xr rename 2
to install over the destination file.
.Pp
If
.Nm
fails it will leave the previous version of the destination file intact.
